E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GNet::FutureEventImp Class Reference

A pimple-pattern implementation class used by GNet::FutureEvent. More...

Inheritance diagram for GNet::FutureEventImp:

## Public Types
typedef FutureEvent::Error | Error
typedef FutureEvent::handle_type | handle_type
Public Types inherited from GNet::EventHandler
enum | Reason { reason_closed, reason_down, reason_reset, reason_abort, reason_other }

## Public Member Functions
| FutureEventImp (FutureEventHandler &, ExceptionHandler &)
void | receive ()
handle_type | handle ()
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()
| Destructor.
virtual void | writeEvent ()
| Called for a write event. More...
virtual void | otherEvent (Reason)
| Called for a socket-exception event or a socket-close event on windows. More...

## Static Public Member Functions
static bool | send (handle_type) g__noexcept
Static Public Member Functions inherited from GNet::EventHandler
static std::string | str (Reason)
| Returns a printable description of the other-event reason. More...

## Detailed Description

A pimple-pattern implementation class used by GNet::FutureEvent.

Definition at line 32 of file gfutureevent_unix.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gfutureevent_unix.cpp